// BeauGaugeExample034Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "BeauGaugeExample034.h"
#include "BeauGaugeExample034Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CBeauGaugeExample034Dlg dialog




CBeauGaugeExample034Dlg::CBeauGaugeExample034Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBeauGaugeExample034Dlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CBeauGaugeExample034Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_BGV6ACTIVEXCTRLTRIAL1, _gauge);
	DDX_Control(pDX, IDC_SPIN1, _spin[0]);
	DDX_Control(pDX, IDC_SPIN2, _spin[1]);
	DDX_Control(pDX, IDC_SPIN3, _spin[2]);
}

BEGIN_MESSAGE_MAP(CBeauGaugeExample034Dlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON1, &CBeauGaugeExample034Dlg::OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON2, &CBeauGaugeExample034Dlg::OnBnClickedButton2)
	ON_BN_CLICKED(IDC_BUTTON3, &CBeauGaugeExample034Dlg::OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON4, &CBeauGaugeExample034Dlg::OnBnClickedButton4)
END_MESSAGE_MAP()


// CBeauGaugeExample034Dlg message handlers

BOOL CBeauGaugeExample034Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	GetDlgItem(IDC_EDIT1)->SetWindowText(_T("-50"));
	_spin[0].SetBuddy(GetDlgItem(IDC_EDIT1));
	_spin[0].SetRange(-100,100);

	GetDlgItem(IDC_EDIT2)->SetWindowText(_T("100"));
	_spin[1].SetBuddy(GetDlgItem(IDC_EDIT2));
	_spin[1].SetRange(-100,100);

	GetDlgItem(IDC_EDIT3)->SetWindowText(_T("7"));
	_spin[2].SetBuddy(GetDlgItem(IDC_EDIT3));
	_spin[2].SetRange(2,20);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CBeauGaugeExample034Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CBeauGaugeExample034Dlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CBeauGaugeExample034Dlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CBeauGaugeExample034Dlg::OnBnClickedButton1()
{
	_gauge.SetRange(_T("ControlLayer1"),100,200,11);
}

void CBeauGaugeExample034Dlg::OnBnClickedButton2()
{
	_gauge.SetRange(_T("ControlLayer1"),200,-200,6);
}

void CBeauGaugeExample034Dlg::OnBnClickedButton3()
{
	_gauge.SetRange(_T("ControlLayer1"),0,100,6);
}

void CBeauGaugeExample034Dlg::OnBnClickedButton4()
{
	int nStart,nSpin,nCount;
	try
	{
		CString s;
		GetDlgItem(IDC_EDIT1)->GetWindowText(s);
		nStart = _tstoi(s);

		GetDlgItem(IDC_EDIT2)->GetWindowText(s);
		nSpin = _tstoi(s);

		GetDlgItem(IDC_EDIT3)->GetWindowText(s);
		nCount = _tstoi(s);
	}
	catch(...)
	{
		return;
	}

	_gauge.SetRange(_T("ControlLayer1"),nStart,nSpin,nCount);

}
